List enrollments
curl --request GET \
--url https://sg.sandbox.api.reap.global/agentic/enrollments \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/agentic/enrollments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/agentic/enrollments"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"status": "REQUIRES_ACTION",
"owner": {
"type": "REAP_USER",
"id": "<string>",
"email": "<string>"
},
"paymentMethod": {
"type": "CARD",
"network": "<string>",
"last4": "<string>",
"expiryMonth": 6,
"expiryYear": 0
},
"nextAction": {
"type": "REDIRECT",
"url": "<string>",
"expiresAt": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "AGENTIC_REQUEST_REJECTED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_PAYMENTS_NOT_ENABLED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_RESOURCE_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_SERVICE_UNAVAILABLE",
"message": "<string>",
"detail": {}
}
}Agentic
List enrollments
Lists the enrollments of a single owner. ownerId is required, and a list is always scoped to exactly one owner.
GET
/
agentic
/
enrollments
List enrollments
curl --request GET \
--url https://sg.sandbox.api.reap.global/agentic/enrollments \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/agentic/enrollments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/agentic/enrollments"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"status": "REQUIRES_ACTION",
"owner": {
"type": "REAP_USER",
"id": "<string>",
"email": "<string>"
},
"paymentMethod": {
"type": "CARD",
"network": "<string>",
"last4": "<string>",
"expiryMonth": 6,
"expiryYear": 0
},
"nextAction": {
"type": "REDIRECT",
"url": "<string>",
"expiresAt": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "AGENTIC_REQUEST_REJECTED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_PAYMENTS_NOT_ENABLED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_RESOURCE_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "AGENTIC_SERVICE_UNAVAILABLE",
"message": "<string>",
"detail": {}
}
}Authorizations
API key as Bearer token
Headers
API version (YYYY-MM-DD)
Available options:
2025-02-14 Example:
"2025-02-14"
Query Parameters
Available options:
REAP_USER, CLIENT_REFERENCE Example:
"REAP_USER"
Minimum string length:
1Maximum number of enrollments to return
Required range:
1 <= x <= 100Minimum string length:
1